/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var routes = [
    {
        path: '/home',
        name: 'home',
        async: function (routeTo, routeFrom, resolve, reject) {
            var total = packages.length;
            var undelivered = countRemainingPackages();
            var delivered = total - undelivered;
            var percent = (total > 0 ? (delivered / packages.length) : 1);
            resolve({
                templateUrl: './pages/home.html'
            }, {
                context: {
                    packageTotal: total,
                    packageLeft: undelivered,
                    packageDelivered: delivered,
                    packagePercent: percent
                }
            });
        }
    },
    {
        path: '/manage',
        url: './pages/manage.html',
        name: 'manage'
    },
    {
        path: '/list',
        templateUrl: './pages/list.html',
        name: 'list',
        on: {
            pageAfterIn: function () {
                loadPackageList();
            }
        },
        keepAlive: true
    },
    {
        path: '/map',
        url: './pages/map.html',
        name: 'map',
        keepAlive: true,
        on: {
            pageAfterIn: function () {
                if (map == null) {
                    createMap();
                }
            }
        }
    }
];